-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.
local m = {}

function m.get_work_records(work_records)
    local work_record_table = {}
    for _, items in ipairs(work_records) do
        local items_table = {}
        items_table.ID = items.Id
        items_table.UserName = items.UserName
        items_table.IPAddress = items.IPAddress
        items_table.Time = items.Time
        items_table.Content = items.Content

        work_record_table[#work_record_table + 1] = items_table
    end

    return work_record_table
end

return m
